#version 330

layout(location = 0) in vec2 aPosition;

out VS_OUT{
	vec2 uvs[11];
} vs_out;

uniform int uHorizontal;
uniform float uSize;

void main() {
	vec2 centerUv = (aPosition + 1.0) * 0.5;
	if (uHorizontal > 0) {
		float pixelSize = 1.0 / uSize;
		for (int i = -5; i <= 5; i++)
			vs_out.uvs[i + 5] = centerUv + vec2(i * pixelSize, 0.0);
	}
	else {
		float pixelSize = 1.0 / uSize;
		for (int i = -5; i <= 5; i++)
			vs_out.uvs[i + 5] = centerUv + vec2(0.0, i * pixelSize);
	}
	gl_Position = vec4(aPosition, 0, 1);
}