#version 330

layout (location = 0) out vec4 outColor;
layout (location = 1) out vec4 outDepth;

in VS_OUT{
	vec3 uv;
} fs_in;

// fog
struct Fog {
	vec3 color;
	vec2 bounds;
};
uniform Fog uFog;

// material
struct Material {
	samplerCube diffuseMap;
};
uniform Material uMaterial;

void main() {
	float range = uFog.bounds.y - uFog.bounds.x;
	float v = clamp((fs_in.uv.y - uFog.bounds.x) / range, 0.0, 1.0);
	vec3 diffuseColor = texture(uMaterial.diffuseMap, fs_in.uv).rgb;
	outColor = vec4(diffuseColor * v + uFog.color * (1.0 - v), 1.0);
	outDepth = vec4(1000, 1, 1, 1);
}